OpenShot Audio Library | OpenShotAudio: juce::Expression::Scope Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
juce::Expression::Scope Class Reference

`#include <juce_Expression.h>`

## Classes
class | Visitor

## Public Member Functions
virtual String | getScopeUID () const
virtual Expression | getSymbolValue (const String &symbol) const
virtual double | evaluateFunction (const String &functionName, const double *parameters, int numParameters) const
virtual void | visitRelativeScope (const String &scopeName, Visitor &visitor) const

## Detailed Description

When evaluating an Expression object, this class is used to resolve symbols and perform functions that the expression uses.

Definition at line 108 of file juce_Expression.h.

## Constructor & Destructor Documentation

## ◆ Scope()

juce::Expression::Scope::Scope | ( |  | ) |

Definition at line 1119 of file juce_Expression.cpp.

## ◆ ~Scope()

juce::Expression::Scope::~Scope | ( |  | ) |
| virtual

Definition at line 1120 of file juce_Expression.cpp.

## Member Function Documentation

## ◆ evaluateFunction()

double juce::Expression::Scope::evaluateFunction | ( | const String & | functionName,
|  | const double * | parameters,
|  | int | numParameters ) const
| virtual

Executes a named function. If the function name is unknown, this can throw an Expression::EvaluationError exception.

Exceptions

  Expression::EvaluationError |

Definition at line 1130 of file juce_Expression.cpp.

## ◆ getScopeUID()

String juce::Expression::Scope::getScopeUID | ( |  | ) | const
| virtual

Returns some kind of globally unique ID that identifies this scope.

Definition at line 1169 of file juce_Expression.cpp.

## ◆ getSymbolValue()

Expression juce::Expression::Scope::getSymbolValue | ( | const String & | symbol | ) | const
| virtual

Returns the value of a symbol. If the symbol is unknown, this can throw an Expression::EvaluationError exception. The member value is set to the part of the symbol that followed the dot, if there is one, e.g. for "foo.bar", symbol = "foo" and member = "bar".

Exceptions

  Expression::EvaluationError |

Definition at line 1122 of file juce_Expression.cpp.

## ◆ visitRelativeScope()

void juce::Expression::Scope::visitRelativeScope | ( | const String & | scopeName,
|  | Visitor & | visitor ) const
| virtual

Creates a Scope object for a named scope, and then calls a visitor to do some kind of processing with this new scope.

If the name is valid, this method must create a suitable (temporary) Scope object to represent it, and must call the Visitor::visit() method with this new scope.

Definition at line 1164 of file juce_Expression.cpp.

The documentation for this class was generated from the following files:

- juce_Expression.h
- juce_Expression.cpp